### Hierarchy

- unknown
  - UrlConnection

## Index

### Constructors

- constructor

### Methods

- getAuthenticationStatus
- getOnlineStatus
- getPassword
- getPriority
- getUrl
- getUsername
- serializeBinary
- setAuthenticationStatus
- setOnlineStatus
- setPassword
- setPriority
- setUrl
- setUsername
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new UrlConnection(): UrlConnection

- Inherited from jspb.Message.constructor

  #### Returns UrlConnection

## Methods

### getAuthenticationStatus

- getAuthenticationStatus(): AuthenticationStatus

- - Defined in src/protobuf/grpc_pb.d.ts:781

  #### Returns AuthenticationStatus

### getOnlineStatus

- getOnlineStatus(): OnlineStatus

- - Defined in src/protobuf/grpc_pb.d.ts:778

  #### Returns OnlineStatus

### getPassword

- getPassword(): string

- - Defined in src/protobuf/grpc_pb.d.ts:772

  #### Returns string

### getPriority

- getPriority(): number

- - Defined in src/protobuf/grpc_pb.d.ts:775

  #### Returns number

### getUrl

- getUrl(): string

- - Defined in src/protobuf/grpc_pb.d.ts:766

  #### Returns string

### getUsername

- getUsername(): string

- - Defined in src/protobuf/grpc_pb.d.ts:769

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:784

  #### Returns Uint8Array

### setAuthenticationStatus

- setAuthenticationStatus(value: AuthenticationStatus ): UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:782

  #### Parameters

  - ##### value: AuthenticationStatus

  #### Returns UrlConnection

### setOnlineStatus

- setOnlineStatus(value: OnlineStatus ): UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:779

  #### Parameters

  - ##### value: OnlineStatus

  #### Returns UrlConnection

### setPassword

- setPassword(value: string): UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:773

  #### Parameters

  - ##### value: string

  #### Returns UrlConnection

### setPriority

- setPriority(value: number): UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:776

  #### Parameters

  - ##### value: number

  #### Returns UrlConnection

### setUrl

- setUrl(value: string): UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:767

  #### Parameters

  - ##### value: string

  #### Returns UrlConnection

### setUsername

- setUsername(value: string): UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:770

  #### Parameters

  - ##### value: string

  #### Returns UrlConnection

### toObject

- toObject(includeInstance?: boolean): UrlConnection . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:785

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns UrlConnection . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:788

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UrlConnection

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UrlConnection, reader: BinaryReader): UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:789

  #### Parameters

  - ##### message: UrlConnection

  - ##### reader: BinaryReader

  #### Returns UrlConnection

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: UrlConnection, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:787

  #### Parameters

  - ##### message: UrlConnection

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: UrlConnection ): UrlConnection . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:786

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UrlConnection

  #### Returns UrlConnection . AsObject

Generated using TypeDoc